<template>
  <div v-scroll="handleScroll" data-app>
    <PopUp @close="showDialog = false" :showDialog="showDialog" />
    <v-container
      fill-height
      fluid
      class="gradient-bg"
      style="width: 100%; min-height: 600px"
    >
      <v-row align="center" justify="center" id="home" class="mt-3 mb-3">
        <v-col cols="11" sm="10" md="5" lg="5" xl="5">
          <p class="motto">{{ $t("motto") }}</p>
          <AppLinks
            style="width: 300px"
            class="mt-5"
            align="center"
            justify="center"
            @show-play-store-dialogue="showDialogPopUp"
            @show-app-store-dialogue="showDialogPopUp"
          />
        </v-col>
        <v-col
          cols="8"
          sm="8"
          md="5"
          lg="5"
          xl="5"
          justify="center"
          align="center"
        >
          <div>
            <img
              class="purr-delete-confirmation"
              src="../../assets/cats/purr-delete-confirmation.svg"
              alt=""
              style="width: 90%; max-width: 700px"
            />
          </div>
        </v-col>
      </v-row>
    </v-container>

    <v-container fill-height fluid>
      <v-card
        class="ma-auto pb-10 pt-10 mt-7"
        :style="
          this.$vuetify.breakpoint.name == 'xl'
            ? 'width:50%; height:400px'
            : 'width:80%'
        "
      >
        <v-row
          align="center"
          justify="center"
          :style="$vuetify.breakpoint.xl ? 'margin-top:20px' : ''"
        >
          <v-col></v-col>
          <v-col xs="12" sm="5" md="4" lg="4" xl="3" class="v-col">
            <img
              src="../../assets/carrots.svg"
              alt="image"
              class="inline-block"
              style="width: 100%; margin: 10px"
            />
          </v-col>
          <v-col
            xs="12"
            sm="6"
            md="7"
            lg="7"
            xl="7"
            class="v-col"
            justify="center"
          >
            <div style="margin-right: 15%">
              <h1
                style="
                  text-align: right;
                  width: 100%;
                  margin-bottom: 20px;
                  color: #40394a;
                "
                :style="
                  this.$vuetify.breakpoint.name !== 'sm'
                    ? ''
                    : 'font-size: 30px;'
                "
              >
                <span style="color: #ff8547">1/3 </span>
                <span style="color: #40394a">{{
                  $t("of_all_produced_food_is_wasted")
                }}</span>
              </h1>
            </div>
          </v-col>
        </v-row>
      </v-card>
    </v-container>
    <h1 style="width: 80%; margin: auto; margin-top: 50px" id="how-to-join">
      {{ $t("how_to_join_header") }}
    </h1>
    <h2 class="ma-auto mt-5 mb-15">{{ $t("join_us") }}</h2>

    <v-container
      fill-height
      fluid
      :style="
        this.$vuetify.breakpoint.name == 'md' ? 'width: 90%' : 'width: 80%'
      "
      class="pa-0 ma-auto mt-5"
    >
      <v-row align="center" justify="space-around" justify-xl="center">
        <v-col
          class="v-col pa-0 ma-0 mb-5"
          style="justify-content: center"
          xs="11"
          sm="11"
          md="6"
          lg="5"
          xl="5"
        >
          <v-card height="500px" width="97%">
            <v-img height="300px" src="../../assets/seller-bg.png"> </v-img>
            <img
              src="../../assets/cats/purr-black-friday.png"
              alt="image"
              class="img-card-seller-buyer"
              height="250px"
            />

            <div
              style="
                display: flex;
                align-items: center;
                flex-direction: column;
                margin-top: 50px;
              "
            >
              <p
                class="pb-0 fat-text"
                style="align-self: center; color: #40394a !important"
              >
                {{ $t("partners") }}
              </p>

              <v-card-actions style="align-self: center">
                <button
                  @click="scrollToTargetAdjusted('seller-info')"
                  class="green-btn text"
                  style="margin: 15px; color: #40394a !important"
                >
                  {{ $t("see_more") }}
                </button>
              </v-card-actions>
            </div>
          </v-card>
        </v-col>
        <v-col
          class="v-col pa-0 ma-0 mb-5"
          style="justify-content: center"
          cols="11"
          sm="11"
          md="6"
          lg="5"
          xl="5"
        >
          <v-card height="500px" width="97%">
            <v-img height="300px" src="../../assets/buyer-bg.png"> </v-img>
            <img
              src="../../assets/cats/purr-shopping.png"
              alt="image"
              class="img-card-seller-buyer"
              height="250px"
            />

            <div
              style="
                display: flex;
                align-items: center;
                flex-direction: column;
                margin-top: 50px;
              "
            >
              <p
                class="pb-0 fat-text"
                style="align-self: center; color: #40394a !important"
              >
                {{ $t("users") }}
              </p>

              <v-card-actions style="align-self: center">
                <button
                  @click="scrollToTargetAdjusted('buyer-info')"
                  class="green-btn text"
                  style="margin: 15px; color: #40394a !important"
                >
                  {{ $t("see_more") }}
                </button>
              </v-card-actions>
            </div>
          </v-card>
        </v-col>
      </v-row>
    </v-container>

    <v-container fill-height fluid class="gradient-bg mt-16">
      <v-row
        align="center"
        justify="center"
        :style="$vuetify.breakpoint.name == 'xl' ? 'width:60%' : 'width: 80%'"
      >
        <v-col xs="12" sm="10" md="10" lg="10" xl="8" justify="center">
          <h1 id="buyer-info" style="text-align: right">
            {{ $t("header_join_customer") }}
          </h1>
          <h2 style="margin-top: 15px; margin-bottom: 15px; text-align: right">
            {{ $t("subheader_join_customer") }}
          </h2>
          <AppLinks
            style="width: 400px; align-self: right; margin-right: 0"
            @show-play-store-dialogue="showDialogPopUp"
            @show-app-store-dialogue="showDialogPopUp"
          />
        </v-col>
      </v-row>
    </v-container>
    <v-container :style="{ width: containerW }">
      <StepsWithScreens
        @show-dialog-pop-up="showDialogPopUp"
        :type="'customer'"
      />
      <!-- <Subscribe :userType="'customer'" /> -->
    </v-container>

    <v-container fill-height fluid class="gradient-bg mt-16">
      <v-row align="center" justify="center" width="80%">
        <v-col xs="12" sm="10" md="10" lg="10" xl="8" justify="center">
          <div>
            <h1 id="seller-info" style="text-align: right">
              {{ $t("header_join_partner") }}
            </h1>
            <h2
              style="margin-top: 15px; margin-bottom: 15px; text-align: right"
            >
              {{ $t("subheader_join_partner") }}
            </h2>
            <AppLinks
              style="width: 400px; align-self: right; margin-right: 0"
              @show-play-store-dialogue="showDialogPopUp"
              @show-app-store-dialogue="showDialogPopUp"
            />
          </div>
        </v-col>
      </v-row>
    </v-container>
    <v-container :style="{ width: containerW }">
      <StepsWithScreens
        @show-dialog-pop-up="showDialogPopUp"
        :type="'partner'"
      />
      <!-- <Subscribe :userType="'partner'" /> -->
    </v-container>
    <v-container>
      <h2>{{ $t("interested_restiki") }}</h2>
      <v-row align="center" justify="center"
        ><img
          src="../../assets/aroma-kava.png"
          alt="aroma kava"
          class="interested-img"
        />
        <img
          src="../../assets/eurasia.png"
          alt="eurasia"
          class="interested-img"
        />
        <img
          src="../../assets/ugoliok.png"
          alt="ugoliok"
          class="interested-img"
        />
      </v-row>
    </v-container>
  </div>
</template>

<script>
// import Subscribe from "../Subscribe.vue";
import AppLinks from "../AppLinks";
import StepsWithScreens from "./StepsWithScreens";
import PopUp from "../PopUp.vue";

export default {
  name: "MainPage",
  props: {
    selectedMenuItem: Number,
  },
  components: {
    // Subscribe,
    AppLinks,
    StepsWithScreens,
    PopUp,
  },

  data() {
    return {
      showDialog: false,
    };
  },
  computed: {
    containerW() {
      if (this.$vuetify.breakpoint.name == "xl") {
        return "50%";
      } else if (this.$vuetify.breakpoint.name == "sm") {
        return "100%";
      }
      return "80%";
    },
  },
  methods: {
    two_digits(value) {
      if (value.toString().length <= 1) {
        return "0" + value.toString();
      }
      return value.toString();
    },
    showDialogPopUp() {
      this.showDialog = true;
    },
    scrollToTargetAdjusted(target) {
      const element = document.getElementById(target);
      const offset = 160;
      const bodyRect = document.body.getBoundingClientRect().top;
      const elementRect = element.getBoundingClientRect().top;
      const elementPosition = elementRect - bodyRect;
      let offsetPosition = elementPosition - offset;
      offsetPosition = Math.max(offsetPosition, 0);
      window.scrollTo({
        top: offsetPosition,
        behavior: "smooth",
      });
    },
    handleScroll() {
      const howtojoinPos =
        this.getCoords(document.getElementById("how-to-join")).top - 500;
      const contactPos =
        this.getCoords(document.getElementById("contact")).top - 600;
      if (window.scrollY < howtojoinPos && this.selectedMenuItem != 0) {
        this.$emit("change-menu-item", 0);
      }
      if (
        window.scrollY >= howtojoinPos &&
        window.scrollY <= contactPos &&
        this.selectedMenuItem != 1
      ) {
        this.$emit("change-menu-item", 1);
      } else if (window.scrollY > contactPos && this.selectedMenuItem != 2) {
        this.$emit("change-menu-item", 2);
      }
      return window.scrollY > 100;
    },
    getCoords(elem) {
      var box = elem.getBoundingClientRect();

      var body = document.body;
      var docEl = document.documentElement;

      var scrollTop = window.pageYOffset || docEl.scrollTop || body.scrollTop;
      var scrollLeft =
        window.pageXOffset || docEl.scrollLeft || body.scrollLeft;

      var clientTop = docEl.clientTop || body.clientTop || 0;
      var clientLeft = docEl.clientLeft || body.clientLeft || 0;

      var top = box.top + scrollTop - clientTop;
      var left = box.left + scrollLeft - clientLeft;

      return { top: Math.round(top), left: Math.round(left) };
    },
  },
};
</script>

<style lang="scss" scoped>
@import "../../assets/variables.scss";
@import "../../assets/style.scss";
.motto {
  font-style: normal;
  font-weight: 800;
  font-size: min(5vw, 70px);
  line-height: min(5.2vw, 100px);
  text-align: center;
  vertical-align: middle;
  color: var(--dark100);
  font-family: "MontserratBold";
  white-space: pre-line;
}
.timeline-step {
  margin-bottom: 15px;
}
.smaller-motto {
  font-size: 50px;
}
.v-col {
  display: flex;
  justify-content: center;
  align-items: center;
}
.gradient-bg {
  background-image: linear-gradient(
    to right,
    rgba(126, 202, 156, 0.3),
    rgba(255, 133, 71, 0.3)
  );
  width: 100%;
  margin: 0;
  align-items: center;
}

.purr-delete-confirmation {
  width: 80%;
}

.video {
  margin-bottom: 30px;
  width: 80%;
}
.choose-bg {
  background-image: url("../../assets/choose-bg.png");
  background-repeat: no-repeat;
  background-size: auto;
}
.interested-img {
  width: 100px;
  margin: 50px;
}
/**timeline */

@mixin tablet-and-up {
  @media screen and (min-width: 769px) {
    @content;
  }
}
@mixin mobile-and-up {
  @media screen and (min-width: 601px) {
    @content;
  }
}
@mixin tablet-and-down {
  @media screen and (max-width: 768px) {
    @content;
  }
}
@mixin mobile-only {
  @media screen and (max-width: 600px) {
    @content;
  }
}

.sessions {
  margin-top: 100px;
  border-radius: 12px;
  position: relative;
}

.img-card-seller-buyer {
  margin: auto;
  position: absolute;
  top: 5%;
  left: 50%;
  transform: translateX(-50%);
}

.fat-text {
  color: var(--dark100) !important;
}
</style>
